//////////////////////
// Snap Scroll v1	//
//////////////////////


function init(bricVersion)
{
	window.webkit.messageHandlers.debug.postMessage("Current Bric Version = "+bricVersion);
}


// Set Paginate Style
function setPaginateStyle(styleVal,attrName)
{
	var styleClass = '';

	if(styleVal == 1) // Dashes
	{
		styleClass = 'snap-scroll-paginate-dashes';
	}
	
	$('.snap-scroll-pagination').removeClass('snap-scroll-paginate-dashes').addClass(styleClass);
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}

// Set Paginate Alignment
function setPaginateAlign(alignVal,attrName)
{
	var alignClass = '';

	if(alignVal == 1) // Right
	{
		alignClass = 'right-align';
	}
	
	$('.snap-scroll-pagination').removeClass('right-align').addClass(alignClass);
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}

// Set Paginate Include BG
function setIncludeBg(includeBg,attrName)
{
	$('.snap-scroll-pagination').toggleClass('snap-scroll-paginate-bg');
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}

// Set Paginate Theme
function setSnapScrollTheme(lightTheme,attrName)
{
	$('.snap-scroll-pagination').toggleClass('light-snap-scroll-theme');
	
}

// Toggle Mobile Support
function toggleMobileSupport(enableMobile,attrName)
{
	var minWidth = '768';

	if (enableMobile == 1) // Enable on mobile
	{
		minWidth = '0';
	}
	$(".snap-scroll-pagination").attr('data-min-breakpoint',minWidth);
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}